## ncurses 6.4+20230625

=== debian/changelog ===
ncurses (6.4+20230625-2) unstable; urgency=medium

  * Save some build time by not building the static libraries along the
    shared ones, they are configured and built separately.
  * Get rid of debian/rxvt.ti (Closes: #1037071) and record relevant
    Debian changes in a new patch 02-debian-rxvt.diff.
    - Set kbs=^? according to the Debian keyboard policy.
    - Provide rxvt-m as an alias to rxvt-basic.
  * Pass "-Xusr/lib" to dh_missing in the binary-indep target to work
    around spurious failures in full builds (see #1039941).
  * Drop patch debian-alacritty.diff.  Alacritty users should upgrade vim
    to version 2:9.0.1658-1 or higher, or start vim with $TERM set to
    xterm-256color.
  * Take over the foot and foot-direct terminfo entries from the
    foot-terminfo package in ncurses-term (see #1041685).
    - Add a versioned Provides on foot-terminfo to ncurses-term in order
      to help with partial upgrades.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 23 Jul 2023 16:58:09 +0200

ncurses (6.4+20230625-1) unstable; urgency=low

  * New upstream patchlevel.
  * Add Breaks against tmux (<< 3.3a-4) to libtinfo6 (see #1038269).
  * Remove Replaces/Conflicts/Provides relationships with pre-buster
    packages in lib{32,64}ncurses-dev.
  * Set maintainer to ncurses@packages.debian.org, add Craig to Uploaders.
  * Stop stripping libncurses++w.a manually.
  * Move the cons25-debian terminfo entry from ncurses-base to
    ncurses-term, it had only been used in Debian GNU/kFreeBSD 6.0.
  * Tighten the dependency of ncurses-term on ncurses-base, so that they
    are always from the same version.
  * New patch debian-alacritty.diff: remove xterm+focus from the alacritty
    terminfo entry, as it triggers misbehavior in Vim version before
    9.0.1619 (see #1038401).
  * Stop building the libtinfo5, libncurses5 and libncursew5 packages
    (Closes: #1025964).
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 01 Jul 2023 10:15:14 +0200

ncurses (6.4+20230603-1) experimental; urgency=low

  * New upstream patchlevel.
    - Improve checks for malformed terminfo data (report/analysis by
      Jonathan Bar Or, Michael Pearse, Emanuele Cozzi (CVE-2023-29491,
      Closes: #1034372)).
    - Drop compatibility with obsolete versions of tack, e.g., pre-1.08
      (Closes: #1034549).
  * Drop cherry-picked patches, applied upstream.
  * Configure with "--disable-setuid-environ" instead of
    "--disable-root-environ" and drop patch debian-env-access.diff.
  * Refresh remaining Debian patches.
    - Drop the hunk for screen-base from 02-debian-backspace.diff.
      Upstream sets kbs in screen-base to xterm+kbs now, so this is
      handled via the "--with-xterm-kbs" configure option.
  * Configure with "--disable-root-access" to further restrict programs
    running with elevated privileges.
  * Update symbols files for the new symbols tiparm_s and tiscan_s,
    and the newly exported symbols _nc_safe_fopen and _nc_safe_open3.
  * Remove the ncurses{w,}5-config compatibility symlinks
    (Closes: #1029977).
  * Remove old upstream SHA1 signing key C52048C0C0748FEE from
    debian/upstream/signing-key.asc.
  * Export ARFLAGS = -crv in debian/rules to ensure deterministic static
    libraries (see #1029404).
  * Stop building the empty transitional packages libtinfo-dev
    and libncurses{,w}5-dev (Closes: #1032708, #1032740, #1032741).
  * Move the ncurses-base terminfo files to /usr/share/terminfo
    (Closes: #1028202, #622286).
    - Add a Breaks on cryptsetup-initramfs (<< 2:2.6.1) to ncurses-base
      (see #1028234).
  * Remove various Breaks/Replaces relationships with package versions
    predating buster.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 15 Jun 2023 18:34:20 +0200
