=== debian/rules ===
#!/usr/bin/make -f
# This file has gone through many maintainers.  Mostly rewritten
# by Daniel Jacobowitz.

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS) -Otarget
endif

export CFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get LDFLAGS)
export BUILD_CFLAGS := $(CFLAGS)
export BUILD_CPPFLAGS := $(CPPFLAGS)
export BUILD_LDFLAGS := $(LDFLAGS)
export ARFLAGS = -crv

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
HOST_CC ?= $(DEB_HOST_GNU_TYPE)-gcc
HOST_CXX ?= $(DEB_HOST_GNU_TYPE)-g++
else
HOST_CC ?= gcc
HOST_CXX ?= g++
endif

# These are important since this is a library package
soname=6
sodepver = (>= 6.3+20220423)

# Name our packages
package-base=ncurses-base
package-bin=ncurses-bin
package-lib=libncurses$(soname)
package-lib-32=lib32ncurses$(soname)
package-lib-64=lib64ncurses$(soname)
package-ti=libtinfo$(soname)
package-ti-32=lib32tinfo$(soname)
package-ti-64=lib64tinfo$(soname)
package-libw=libncursesw$(soname)
package-libw-32=lib32ncursesw$(soname)
package-libw-64=lib64ncursesw$(soname)
package-dev-32=lib32ncurses-dev
package-dev-64=lib64ncurses-dev
package-term=ncurses-term
package-examples=ncurses-examples

workdir=$(shell pwd)
tempdir=debian/tmp
fulltempdir=$(workdir)/$(tempdir)

srcdir=$(shell pwd)
relsrcdir=..
objdir=$(srcdir)/obj
objdir-static=$(srcdir)/obj-static
objdir-32=$(srcdir)/obj-32
objdir-64=$(srcdir)/obj-64
wobjdir=$(srcdir)/obj-wide
wobjdir-static=$(srcdir)/obj-wide-static
wobjdir-32=$(srcdir)/obj-wide-32
wobjdir-64=$(srcdir)/obj-wide-64
objdir-test=$(srcdir)/obj-test

autogen-files := debian/libtermcap.so

ifeq ($(DEB_HOST_ARCH),i386)
build_64_target = x86_64-$(DEB_HOST_GNU_SYSTEM)
build_64 = build-64 build-wide-64
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
build_64_target = powerpc64-$(DEB_HOST_GNU_SYSTEM)
build_64 = build-64 build-wide-64
endif

ifeq ($(DEB_HOST_ARCH),s390)
build_64_target = s390x-$(DEB_HOST_GNU_SYSTEM)
build_64 = build-64 build-wide-64
endif

ifeq ($(DEB_HOST_ARCH),sparc)
build_64_target = sparc64-$(DEB_HOST_GNU_SYSTEM)
build_64 = build-64 build-wide-64
endif

ifeq ($(DEB_HOST_ARCH),amd64)
build_32_target = i686-$(DEB_HOST_GNU_SYSTEM)
build_32 = build-32 build-wide-32
endif

ifeq ($(DEB_HOST_ARCH),ppc64)
build_32_target = powerpc-$(DEB_HOST_GNU_SYSTEM)
build_32 = build-32 build-wide-32
endif

ifneq (,$(filter nobiarch,$(DEB_BUILD_PROFILES)))
override build_32=
override build_64=
endif

ifeq (,$(filter pkg.ncurses.noexamples,$(DEB_BUILD_PROFILES)))
build_examples = build-test
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
with_mouse = --with-gpm
else
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
with_mouse = --without-sysmouse
endif
endif

CONFARGS =	--prefix=/usr \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--with-shared \
		--mandir=/usr/share/man \
		--with-manpage-format=normal \
		--without-profile --without-debug \
		--disable-rpath --enable-echo \
		--disable-stripping \
		--enable-const \
		--enable-pc-files \
		--with-pkg-config-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-install-prefix=$(fulltempdir) \
		--without-ada \
		--without-tests \
		--without-progs \
		$(with_mouse) \
		--enable-symlinks \
		--disable-setuid-environ \
		--disable-root-access \
		--disable-termcap \
		--with-default-terminfo-dir=/etc/terminfo \
		--with-terminfo-dirs="/etc/terminfo:/lib/terminfo:/usr/share/terminfo" \
		--with-ticlib=tic \
		--with-termlib=tinfo \
		--with-versioned-syms \
		--disable-wattr-macros \
		--disable-relink \
		--disable-pkg-ldflags \
		--enable-overwrite \
		--with-xterm-kbs=del

CONFARGS-TEST =	--prefix=/usr \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--bindir=/usr/libexec/ncurses-examples \
		--datadir=/usr/share/ncurses-examples \
		--disable-stripping \
		--with-x11-rgb=/etc/X11/rgb.txt \
		--with-ncursesw \
		--with-curses-dir=$(wobjdir)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS += --with-build-cc=gcc --host=$(DEB_HOST_GNU_TYPE)
CONFARGS-TEST += --host=$(DEB_HOST_GNU_TYPE)
endif

# Exclude terminfo entries shipped by other Debian packages so that we do
# not begin shipping them by accident.
badterminfo = f/fbterm k/kbtin x/xterm-kitty K/KBtin

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
# Force necessary configure checks which do not work when
# cross compiling; all Debian platforms return unsigned char
# and working poll for these configure checks.
export cf_cv_type_of_bool=unsigned char
export cf_cv_working_poll=yes
export cf_cv_gpm_soname=libgpm.so.2
endif

config.guess-stamp:
	dh_update_autotools_config
	dh_autoreconf debian/autoconf.sh
	touch $@

$(objdir)/config.status: config.guess-stamp
	test -d $(objdir) || mkdir $(objdir)
	cd $(objdir) && $(relsrcdir)/configure \
		$(CONFARGS) \
		--without-normal

$(objdir-static)/config.status: config.guess-stamp
	test -d $(objdir-static) || mkdir $(objdir-static)
	cd $(objdir-static) && $(relsrcdir)/configure \
		$(CONFARGS) \
		--without-shared \
		--without-gpm

$(objdir-32)/config.status: config.guess-stamp
	test -d $(objdir-32) || mkdir $(objdir-32)

	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
	cf_cv_working_poll=yes; export cf_cv_working_poll; \
	cd $(objdir-32) && CC="$(HOST_CC) -m32" \
		BUILD_CC="gcc" CXX="$(HOST_CXX) -m32" \
		$(relsrcdir)/configure \
		$(CONFARGS) \
		--host=$(build_32_target) \
		--without-gpm \
		--libdir=/usr/lib32

$(objdir-64)/config.status: config.guess-stamp
	test -d $(objdir-64) || mkdir $(objdir-64)

	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
	cf_cv_working_poll=yes; export cf_cv_working_poll; \
	cd $(objdir-64) && CC="$(HOST_CC) -m64" \
		BUILD_CC="gcc" CXX="$(HOST_CXX) -m64" \
		$(relsrcdir)/configure \
		$(CONFARGS) \
		--host=$(build_64_target) \
		--without-gpm \
		--libdir=/usr/lib64

$(wobjdir)/config.status: config.guess-stamp
	test -d $(wobjdir) || mkdir $(wobjdir)
	cd $(wobjdir) && $(relsrcdir)/configure \
		$(CONFARGS) \
		--without-normal \
		--with-progs \
		--enable-widec

$(wobjdir-static)/config.status: config.guess-stamp
	test -d $(wobjdir-static) || mkdir $(wobjdir-static)
	cd $(wobjdir-static) && $(relsrcdir)/configure \
		$(CONFARGS) \
		--without-shared \
		--without-gpm \
		--enable-widec

$(wobjdir-32)/config.status: config.guess-stamp
	test -d $(wobjdir-32) || mkdir $(wobjdir-32)

	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
	cf_cv_working_poll=yes; export cf_cv_working_poll; \
	cd $(wobjdir-32) && CC="$(HOST_CC) -m32" \
		BUILD_CC="gcc" CXX="$(HOST_CXX) -m32" \
		$(relsrcdir)/configure \
		$(CONFARGS) \
		--host=$(build_32_target) \
		--without-gpm \
		--enable-widec \
		--libdir=/usr/lib32

$(wobjdir-64)/config.status: config.guess-stamp
	test -d $(wobjdir-64) || mkdir $(wobjdir-64)

	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
	cf_cv_working_poll=yes; export cf_cv_working_poll; \
	cd $(wobjdir-64) && CC="$(HOST_CC) -m64" \
		BUILD_CC="gcc" CXX="$(HOST_CXX) -m64" \
		$(relsrcdir)/configure \
		$(CONFARGS) \
		--host=$(build_64_target) \
		--without-gpm \
		--enable-widec \
		--libdir=/usr/lib64

$(objdir-test)/config.status: build-wide config.guess-stamp
	test -d $(objdir-test) || mkdir $(objdir-test)
	export LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(wobjdir)/lib && \
	cd $(objdir-test) && \
		PKG_CONFIG_LIBDIR=$(wobjdir)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		$(relsrcdir)/test/configure $(CONFARGS-TEST)

build-indep: build-normal build-wide
	touch $@

build-arch build: build-indep build-static build-wide-static $(build_examples) \
