## ncurses 6.4+20231209

=== debian/changelog ===
ncurses (6.4+20231209-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Remove xterm+sm+1006 from tmux (Closes: #1057688).
    - Update man/edit_man.sh to allow for "\%" markers embedded after
      bold font escapes in manpage cross-references (Closes: #1057651).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 11 Dec 2023 17:03:08 +0100

ncurses (6.4+20231121-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Amend fix for #1055882, correcting nul terminator check in
      waddnstr (Closes: #1056340).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 22 Nov 2023 17:10:27 +0100

ncurses (6.4+20231118-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Modify reset command to avoid altering clocal if the terminal uses
      a modem (prompted by discussion with Werner Fink, Michal Suchanek,
      Closes: #60377).
    - Correct loop termination condition in waddnstr() and waddnwstr()
      (Closes: #1055882).
  * Refresh Debian patches.
    - Drop the workaround for #933053 from patch 02-debian-xterm.diff,
      it had been non-functional since version 6.2+20210905-1.
  * Move all libraries below /usr (Closes: #1055940).
  * Install libtermcap.so as a symlink rather than a linker script.
  * Explicitly configure the non-wide builds with --disable-widec.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Nov 2023 17:30:14 +0100

ncurses (6.4+20231016-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Make the recent change to setupterm optional and disable it
      by default (Closes: #1054022).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 17 Oct 2023 17:34:56 +0200

ncurses (6.4+20231007-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Improve manual description of immedok (Closes: #1053603).
    - Fix a few formatting issues with manpages (Closes: #1053123).
  * Update libtinfo6 symbols file, adding eight new symbols.
  * Refresh Debian patches.
  * Set BUILD_{C,CPP,LD}FLAGS for the native architecture to fix cross
    builds which had been broken on arm64 and amd64 by changes in
    dpkg-buildflags 1.22.0.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 12 Oct 2023 17:07:15 +0200
