=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,10 @@
 export CPPFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get LDFLAGS)
-export BUILD_CFLAGS := $(CFLAGS)
-export BUILD_CPPFLAGS := $(CPPFLAGS)
-export BUILD_LDFLAGS := $(LDFLAGS)
+export BUILD_CFLAGS := $(shell DEB_HOST_ARCH=`dpkg --print-architecture` dpkg-buildflags --get CFLAGS)
+export BUILD_CPPFLAGS := $(shell DEB_HOST_ARCH=`dpkg --print-architecture` dpkg-buildflags --get CPPFLAGS)
+export BUILD_LDFLAGS := $(shell DEB_HOST_ARCH=`dpkg --print-architecture` \
+				DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow dpkg-buildflags --get LDFLAGS)
 export ARFLAGS = -crv
 
 include /usr/share/dpkg/architecture.mk
@@ -62,8 +63,6 @@
 wobjdir-32=$(srcdir)/obj-wide-32
 wobjdir-64=$(srcdir)/obj-wide-64
 objdir-test=$(srcdir)/obj-test
-
-autogen-files := debian/libtermcap.so
 
 ifeq ($(DEB_HOST_ARCH),i386)
 build_64_target = x86_64-$(DEB_HOST_GNU_SYSTEM)
@@ -180,14 +179,16 @@
 	test -d $(objdir) || mkdir $(objdir)
 	cd $(objdir) && $(relsrcdir)/configure \
 		$(CONFARGS) \
-		--without-normal
+		--without-normal \
+		--disable-widec
 
 $(objdir-static)/config.status: config.guess-stamp
 	test -d $(objdir-static) || mkdir $(objdir-static)
 	cd $(objdir-static) && $(relsrcdir)/configure \
 		$(CONFARGS) \
 		--without-shared \
-		--without-gpm
+		--without-gpm \
+		--disable-widec
 
 $(objdir-32)/config.status: config.guess-stamp
 	test -d $(objdir-32) || mkdir $(objdir-32)
@@ -200,6 +201,7 @@
 		$(CONFARGS) \
 		--host=$(build_32_target) \
 		--without-gpm \
+		--disable-widec \
 		--libdir=/usr/lib32
 
 $(objdir-64)/config.status: config.guess-stamp
@@ -213,6 +215,7 @@
 		$(CONFARGS) \
 		--host=$(build_64_target) \
 		--without-gpm \
+		--disable-widec \
 		--libdir=/usr/lib64
 
 $(wobjdir)/config.status: config.guess-stamp
@@ -262,11 +265,3 @@
 $(objdir-test)/config.status: build-wide config.guess-stamp
 	test -d $(objdir-test) || mkdir $(objdir-test)
 	export LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(wobjdir)/lib && \
-	cd $(objdir-test) && \
-		PKG_CONFIG_LIBDIR=$(wobjdir)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
-		$(relsrcdir)/test/configure $(CONFARGS-TEST)
-
-build-indep: build-normal build-wide
-	touch $@
-
-build-arch build: build-indep build-static build-wide-static $(build_examples) \
