## ncurses 6.4+20240113

=== debian/changelog ===
ncurses (6.4+20240113-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:14:03 +0200

ncurses (6.4+20240113-1ubuntu1) noble; urgency=medium

  * d/t/control: Disable failing superficial autopkgtest on i386 (LP: #2052951)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 12 Feb 2024 10:12:36 +0000

ncurses (6.4+20240113-1) unstable; urgency=medium

  * New upstream patchlevel.
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Install ncurses6-config.1 via "make install" to ensure it contains
    correct cross-references (Closes: #1060211).
  * Add a regression autopkgtest to ensure that there are no '3X'
    references in manpages (see #618429, #1004901, #1057651, #1060211).
  * Build-Depend on pkgconf rather than on pkg-config.
  * Drop kfreebsd-specific code from debian/rules.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 15 Jan 2024 20:34:12 +0100
