=== debian/rules ===
--- 
+++ 
@@ -105,10 +105,6 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 with_mouse = --with-gpm
-else
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-with_mouse = --without-sysmouse
-endif
 endif
 
 CONFARGS =	--prefix=/usr \
@@ -265,3 +261,4 @@
 $(objdir-test)/config.status: build-wide config.guess-stamp
 	test -d $(objdir-test) || mkdir $(objdir-test)
 	export LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(wobjdir)/lib && \
+	cd $(objdir-test) && \
