## ncurses 6.4+20240113-1ubuntu2trisquel2

=== debian/changelog ===
ncurses (6.4+20240113-1ubuntu2trisquel2) ecne; urgency=medium

  * Rebuild as udeb dependency for debian-installer and patch
    dh_autoreconf.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 11 Sep 2024 17:46:25 +0000
