=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ncurses
 Section: libs
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Ncurses Maintainers <ncurses@packages.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>, Craig Small <csmall@debian.org>
 Build-Depends: debhelper-compat (= 13),
