## ncurses 6.5

=== debian/changelog ===
ncurses (6.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 09 May 2024 10:58:21 +0200

ncurses (6.5-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files and bump shlibs.
    - Update the minimal version for symbols added after the 6.4 release
      to 6.5.
  * Update patch 01-debian-no-ada-doc.diff for the changed location of the
    Ada documentaton.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 05 May 2024 18:31:39 +0200

ncurses (6.4+20240414-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix inconsistent description of wmouse_trafo() (Closes: #1059778).
    - Modify wenclose() to handle pads (Closes: #1059783).
    - Improve manpage discussion of mouseinterval() (Closes: #1058560).
  * Add a new "terminfocheck" target to debian/rules to compare the built
    terminfo files against the system database, and use it in binary-indep
    builds in a new pkg.ncurses.terminfocheck build profile.
  * Add a smoke autopkgtest for infocmp, testing that its output for the
    'dumb' terminfo entry matches expectations (see #868266).
  * Add another smoke autopkgtest to ensure that the backspace/delete key
    definitions match expectations (see Policy §9.8).
  * If DEB_BUILD_OPTIONS matches "terse", configure with --disable-echo.
  * Stop patching terminfo.src for the Debian-specific terminfo aliases
    xterm-debian and rxvt-m, create symlinks for them instead.
    - Drop patch 02-debian-xterm.diff.
    - Merge patch 02-debian-rxvt.diff into 02-debian-backspace.diff.
  * Refresh patch 02-debian-backspace.diff.
  * Upgrade Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 16 Apr 2024 21:28:36 +0200
