## ncurses 6.5+20250125

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ncurses
 Section: libs
 Priority: required
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Ncurses Maintainers <ncurses@packages.debian.org>
+Maintainer: Ncurses Maintainers <ncurses@packages.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>, Craig Small <csmall@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgpm-dev [linux-any],
                pkgconf,
                autoconf-dickey (>= 2.52+20210509),
 Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
-Standards-Version: 4.6.2
+Build-Depends-Indep: ncurses-term <pkg.ncurses.terminfocheck>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ncurses
 Vcs-Git: https://salsa.debian.org/debian/ncurses.git
