## ncurses 6.5+20250216

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 # These are important since this is a library package
 soname=6
-sodepver = (>= 6.3+20220423)
+sodepver = (>= 6.5)
 
 # Name our packages
 package-base=ncurses-base
@@ -103,6 +103,14 @@
 build_examples = build-test
 endif
 
+ifneq (,$(filter pkg.ncurses.terminfocheck,$(DEB_BUILD_PROFILES)))
+check_ti = terminfocheck
+endif
+
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+echo = --disable-echo
+endif
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 with_mouse = --with-gpm
 endif
@@ -113,7 +121,8 @@
 		--mandir=/usr/share/man \
 		--with-manpage-format=normal \
 		--without-profile --without-debug \
-		--disable-rpath --enable-echo \
+		--disable-rpath \
+		$(echo) \
 		--disable-stripping \
 		--enable-const \
 		--enable-pc-files \
@@ -144,6 +153,7 @@
 		--bindir=/usr/libexec/ncurses-examples \
 		--datadir=/usr/share/ncurses-examples \
 		--disable-stripping \
+		$(echo) \
 		--with-x11-rgb=/etc/X11/rgb.txt \
 		--with-ncursesw \
 		--with-curses-dir=$(wobjdir)
@@ -259,6 +269,3 @@
 		--libdir=/usr/lib64
 
 $(objdir-test)/config.status: build-wide config.guess-stamp
-	test -d $(objdir-test) || mkdir $(objdir-test)
-	export LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(wobjdir)/lib && \
-	cd $(objdir-test) && \
