=== debian/tests/control ===
Tests: manpage-references
Restrictions: superficial
Depends: libncurses-dev, ncurses-bin, ncurses-doc

Tests: backspace-delete-keys, infocmp-dumb
Restrictions: superficial
Depends: ncurses-base, ncurses-bin
