## ncurses 6.5+20251115

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                autoconf-dickey (>= 2.52+20210509),
 Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
 Build-Depends-Indep: ncurses-term <pkg.ncurses.terminfocheck>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/ncurses
 Vcs-Git: https://salsa.debian.org/debian/ncurses.git
 Homepage: https://invisible-island.net/ncurses/
