## ncurses 6.6+20251231

=== debian/changelog ===
ncurses (6.6+20251231-1) unstable; urgency=medium

  * New upstream patchlevel.
  * Update symbols files and bump shlibs.
  * Upgrade Standards-Version to 4.7.3, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 03 Jan 2026 08:53:58 +0100
