=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 # These are important since this is a library package
 soname=6
-sodepver = (>= 6.5)
+sodepver = (>= 6.6)
 
 # Name our packages
 package-base=ncurses-base
