=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,7 @@
 Tests: backspace-delete-keys, infocmp-dumb
 Restrictions: superficial
 Depends: ncurses-base, ncurses-bin
+
+Tests: build
+Restrictions: superficial
+Depends: libncurses-dev, gcc, pkgconf
